Subject: Offline Message from Teresa: Hi! I have the swagtron eb5 pro+ and it has a da
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 30 Aug 2022 01:39:56 -0000

From: Teresa <[email-masked]>
Phone: 5029994162
Location: Ashburn, United States
URL: https://swagtron.com/product/swagtron-swagcycle-eb-5-lightweight-aluminum-folding-ebike/
Department: SwagTron

Hi! I have the swagtron eb5 pro+ and it has a damaged cable, it’s the worth electricity cable that is connected on the back wheel and connects on the other end to the cable that connects to the battery.
So it no longer charges, I’m having a hard time finding that part replaced, could you be able to help me with a spare part please? Looking forward to your reply, thanks!!!

----
Zopim
https://www.zopim.com